if { [info exists ::ircservices] } {
  unset ::ircservices
}

proc RegisteredNick { nick server nickserv warning password } {
   lappend ::ircservices [list $nick $server $nickserv $warning $password]
}

on NOTICE dse_nickident {
  set mynick [me]
  set myhost [host]
  foreach entry $::ircservices {
    if {
      ![nickcmp $_src [lindex $entry 2]] &&
      ![nickcmp $mynick [lindex $entry 0]] &&
      ![nickcmp $myhost [lindex $entry 1]] &&
      ([string first "[lindex $entry 3]" $_rest] != -1)
    } {
      splitsrc
      privmsg $_nick "IDENTIFY [lindex $entry 4]"
      complete
    }
  }
}

####################################
# ENTER YOUR REGISTERED NICKS HERE #
####################################

RegisteredNick YourNick irc.openprojects.net NickServ!NickServ@services. "This nickname is owned by someone else" YourPassword
RegisteredNick YourNick irc.newnet.net NickServ!nickserv@services.newnet.net "This nickname is registered and protected" YourPassword
